org.eclnt.workplace

## Class WorkplaceFunctionsManager

- java.lang.Object
- - org.eclnt.workplace.WorkplaceFunctionsManager

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceFunctionsManager
      extends java.lang.Object
      implements java.io.Serializable

  Transfers a workplace-functions-definition (see `WorkplaceFunctionTreeInfoManager`) into a "visible workplace" - containing an outlook bar + a collection of workplace functions trees.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WorkplaceFunctionsManager.FunctionTree` Function tree that transfers the rootNode info into a tree representation.
    `static interface` | `WorkplaceFunctionsManager.ICheckIfToRenderNode` Interface for checking at runtime of a certain section should be rendered or not.
    `class` | `WorkplaceFunctionsManager.ObrenderedMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFunctionsManager(IWorkpageDispatcher owningDispatcher)` This constructor is typically not called by a dispatcher instance, but is called by the WorkpageContainer.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWDYNAMICCONTENTBinding` | `getContent()`
    `java.lang.String` | `getCurrentTopNodeId()`
    `java.lang.String` | `getFunctionTreeStyleVariant()`
    `int` | `getObIndex()`
    `WorkplaceFunctionsManager.ObrenderedMap` | `getObRenderedMap()`
    `WorkplaceFunctionTreeInfoNode` | `getRootNode()`
    `java.util.List<WorkplaceFunctionsManager.FunctionTree>` | `getTrees()`
    `void` | `importWorkplaceFunctionTreeInfoNode(java.lang.String treeName)`
    `void` | `importWorkplaceFunctionTreeInfoNode(WorkplaceFunctionTreeInfoNode nodeToImport)`
    `static void` | `initCheckIfToRenderNodeClass(java.lang.Class clazz)` You may define a class to filter out nodes on a section level (outlookbar-item-level).
    `static void` | `initFunctionTreeClass(java.lang.Class clazz)` You may define the class that is responsible for building up the workplace function tree (FunctionTree) from the node info (WorkplaceFunctionTreeInfoNode).
    `void` | `prepare()` Loads function tree of current user.
    `void` | `preselectTopNodeId(java.lang.String topNodeId)`
    `void` | `setFunctionTreeStyleVariant(java.lang.String functionTreeStyleVariant)`
    `void` | `setObIndex(int obIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceFunctionsManager

          public WorkplaceFunctionsManager(IWorkpageDispatcher owningDispatcher)

      This constructor is typically not called by a dispatcher instance, but is called by the WorkpageContainer. As consequence the dispatcher that is passed is the main dispatcher ("#{d}-dispatcher").

  - ### Method Detail

    - #### initFunctionTreeClass

          public static void initFunctionTreeClass(java.lang.Class clazz)

      You may define the class that is responsible for building up the workplace function tree (FunctionTree) from the node info (WorkplaceFunctionTreeInfoNode).

    - #### initCheckIfToRenderNodeClass

          public static void initCheckIfToRenderNodeClass(java.lang.Class clazz)

      You may define a class to filter out nodes on a section level (outlookbar-item-level). For each instance of WorkpalceFunctionsManager instance one corresponding instance will be created using a constructor without parameter.

    - #### prepare

          public void prepare()

      Loads function tree of current user. The user is taken from the `IUserAccess` interface.

    - #### importWorkplaceFunctionTreeInfoNode

          public void importWorkplaceFunctionTreeInfoNode(WorkplaceFunctionTreeInfoNode nodeToImport)

    - #### importWorkplaceFunctionTreeInfoNode

          public void importWorkplaceFunctionTreeInfoNode(java.lang.String treeName)

    - #### getTrees

          public java.util.List<WorkplaceFunctionsManager.FunctionTree> getTrees()

    - #### getObIndex

          public int getObIndex()

    - #### setObIndex

          public void setObIndex(int obIndex)

    - #### getObRenderedMap

          public WorkplaceFunctionsManager.ObrenderedMap getObRenderedMap()

    - #### getContent

          public ROWDYNAMICCONTENTBinding getContent()

    - #### getFunctionTreeStyleVariant

          public java.lang.String getFunctionTreeStyleVariant()

    - #### setFunctionTreeStyleVariant

          public void setFunctionTreeStyleVariant(java.lang.String functionTreeStyleVariant)

    - #### preselectTopNodeId

          public void preselectTopNodeId(java.lang.String topNodeId)

    - #### getCurrentTopNodeId

          public java.lang.String getCurrentTopNodeId()

    - #### getRootNode

          public WorkplaceFunctionTreeInfoNode getRootNode()

Copyright © CaptainCasa Gmbh. All Rights Reserved.